{
  "name": "p2p-explorer-web",
  "version": "0.0.1",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "type-check": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "prepare": "husky install",
    "lint-staged": "lint-staged"
  },
  "lint-staged": {
    "*.{vue,ts,js}": [
      "eslint --fix"
    ]
  },
  "dependencies": {
    "@dcloudio/uni-ui": "^1.4.28",
    "ant-design-vue": "4.x",
    "highlight.js": "^11.11.1",
    "peerjs": "^1.5.4",
    "three": "^0.172.0",
    "vue": "^3.3.0",
    "vue-i18n": "^9.1.9",
    "vue-router": "^4.5.0",
    "register-service-worker": "^1.7.2"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.6.1",
    "@types/node": "^20.10.6",
    "@types/three": "^0.172.0",
    "@types/wicg-file-system-access": "^2023.10.5",
    "@vitejs/plugin-basic-ssl": "^1.2.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/runtime-core": "^3.2.45",
    "@vue/tsconfig": "^0.1.3",
    "eslint": "^8.56.0",
    "eslint-plugin-vue": "^9.19.2",
    "husky": "^8.0.0",
    "lint-staged": "^15.2.0",
    "miniprogram-api-typings": "^3.12.2",
    "sass": "^1.69.7",
    "sass-loader": "^13.3.3",
    "typescript": "^4.9.4",
    "vite": "4.1.4",
    "vite-plugin-pwa": "^0.17.5",
    "vue-tsc": "^1.0.24",
    "workbox-window": "^7.0.0"
  }
}
